datablock ParticleData(MonsterExhaustParticle)
{
   textureName          = "base/data/particles/cloud";
   dragCoefficient      = 0;
   windCoefficient      = 0.5;
   gravityCoefficient   = -1; 
   inheritedVelFactor   = 1;
   lifetimeMS           = 450;
   lifetimeVarianceMS   = 100;
   useInvAlpha = true;
   spinRandomMin = 0.0;
   spinRandomMax = 0.0;

   colors[0]     = "0.0 0.0 0.0 1";
   colors[1]     = "0.05 0.05 0.05 0.6";
   colors[2]     = "0.1 0.1 0.1 0.0";

   sizes[0]      = 0.3;
   sizes[1]      = 0.28;
   sizes[2]      = 0.2;

   times[0]      = 0;
   times[1]      = 0.7;
   times[2]      = 1;
};

datablock ParticleEmitterData(MonsterExhaustEmitter)
{
   ejectionPeriodMS = 20;
   periodVarianceMS = 5;
   ejectionVelocity = 0.5;
   velocityVariance = 0.0;
   ejectionOffset   = 0.01;
   thetaMin         = 29;
   thetaMax         = 59;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "MonsterExhaustParticle";
};

datablock ShapeBaseImageData(MonsterExhaustImage1)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 5;
   rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= MonsterExhaustEmitter;
	stateEmitterTime[1]				= 10000;

};
datablock ShapeBaseImageData(MonsterExhaustImage2)
{
   	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 6;
   	rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= MonsterExhaustEmitter;
	stateEmitterTime[1]				= 10000;

};

datablock ShapeBaseImageData(MonsterExhaustImage3)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 7;
   rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= MonsterExhaustEmitter;
	stateEmitterTime[1]				= 10000;

};
datablock ShapeBaseImageData(MonsterExhaustImage4)
{
   	shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 8;
   	rotation = "1 0 0 -90";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateEmitter[1]					= MonsterExhaustEmitter;
	stateEmitterTime[1]				= 10000;

};

function MonsterSmokeCheck(%obj)
{
  %obj.mountImage(MonsterExhaustImage1,0);
  %obj.mountImage(MonsterExhaustImage2,1);
  %obj.mountImage(MonsterExhaustImage3,2);
  %obj.mountImage(MonsterExhaustImage4,3);
}