//we need the jeep add-on for this, so force it to load
%errorA = ForceRequiredAddOn("Vehicle_Jeep");
%errorB = ForceRequiredAddOn("Support_Interactive_Vehicle");

if(%errorA == $Error::AddOn_NotFound)
{
        error("ERROR: Vehicle_Monster - required add-on Vehicle_Jeep not found");
        %errors++;
}
// Remove Jeep from Vehicle List if Disabled
else if(%errorA == $Error::AddOn_Disabled)
        JeepVehicle.uiName = "";

if(%errorB == $Error::AddOn_NotFound)
{
        error("ERROR: Vehicle_Monster - required add-on Support_Interactive_Vehicle not found");
        %errors++;
}
if(%errors)
        return;

	exec("./Vehicle_Monster.cs");
	exec("./Monster_Tire.cs");
	exec("./Monster_Explosion.cs");
	exec("./Monster_FinalExplosion.cs");
	exec("./Monster_Spring.cs"); 
	exec("./Monster_Exhaust.cs"); 

